Bug 1878824 - CAM web UI is not opening on the openshift cluster deployed on IBM ROKS cluster ( IBM RedHat Openshift Kubernetes Service).
Summary: CAM web UI is not opening on the openshift cluster deployed on IBM ROKS clust...
Keywords:
Status: NEW
Alias: None
Product: Migration Toolkit for Containers
Classification: Red Hat
Component: General
Version: 1.3.0
Hardware: All
OS: All
high
medium
Target Milestone: ---
: 1.6.0
Assignee: Ian
QA Contact: Xin jiang
Avital Pinnick
URL:
Whiteboard:
Depends On: 1895964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 15:17 UTC by vaibhav
Modified: 2021-07-12 04:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1895964 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description vaibhav 2020-09-14 15:17:04 UTC
Description of problem:

Openshfit cluster is deployed on an IBM ROKS cluster ( IBM RedHat Openshift Kubernetes Service) where the authentication is managed externally by using IBM rocks SSO login, so there is no authentication operator available on the openshift cluster.

While installing the CAM operator on this cluster, we faced issues with the metadata info, I reported the bug for this issue #1857211, and we applied the workaround as per comment #4 on bug  https://bugzilla.redhat.com/show_bug.cgi?id=1857211 

Currently, we are facing issues while opening the CAM UI, as it tries to reach the OAuth server for authentication but as there is no authentication operator available on the cluster so it's failing, and UI is just showing a blank page without any error message. 

They have Grafana deployed on the same cluster, so for Grafana login there is a service account responsible to perform the authentication externally, (refer screenshots for more details), so customer want this to work in a similar way for the CAM tool as well.

Version-Release number of selected component (if applicable):

Openshift-4.5 
CAM- 1.2

How reproducible:

100% 

Steps to Reproduce:

Install CAM on an openshift cluster deployed on IBM ROKS cluster and try to open UI, (Not able to reproduce internally, as it needs IBM ROKS cluster)

Actual results:

CAM UI is not opening after accessing the CAM route. 

Expected results:

CAM UI should be accessible on the cluster. 

Additional info:

IBM ROKS cluster ( IBM RedHat Openshift Kubernetes Service ) will be solutions from IBM to the customers and customers will be migrating to IBM ROKs for many customers in future.  hence we request to provide priority in fixing the issues.

Comment 10 Erik Nelson 2020-10-05 12:04:49 UTC
https://github.com/konveyor/mig-ui/pull/967


Note You need to log in before you can comment on or make changes to this bug.